* Create the DATA and OFFLINE subdirectories if necessary.

if adir(laDir, 'DATA\*.*', 'D') = 0
	md DATA
endif adir(laDir, 'DATA\*.*', 'D') = 0
if adir(laDir, 'OFFLINE\*.*', 'D') = 0
	md OFFLINE
endif adir(laDir, 'OFFLINE\*.*', 'D') = 0

* Copy the VFP test database to the DATA subdirectory.

close all
lcDataDir = home() + 'SAMPLES\DATA\'
lnFiles   = adir(laFiles, lcDataDir + '*.*')
for lnI = 1 to lnFiles
	if right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
		copy file (lcDataDir + laFiles[lnI, 1]) to ;
			('DATA\' + laFiles[lnI, 1])
	endif right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
next lnI

* Create a view on the customer table.

open database DATA\TESTDATA
create sql view LV_CUSTOMER as ;
	select * from CUSTOMER
dbsetprop('LV_CUSTOMER', 'View', 'SendUpdates', .T.)
dbsetprop('LV_CUSTOMER.CUST_ID', 'Field', 'Updatable', .T.)

* Create a status table.

erase DATA\SYSINFO.DBF
create table DATA\SYSINFO (CHNGSTATE L)
insert into SYSINFO values (.F.)
use

* Set up the environment.

set exclusive off
set multilocks on
