* Set up the environment.

set exclusive off
set multilocks on

* Copy the VFP test database to the DATA directory.

close all
if not directory('DATA\')
	md DATA\
endif not directory('DATA\')
if not directory('OFFLINE\')
	md OFFLINE\
endif not directory('OFFLINE\')
lcDataDir = home() + 'SAMPLES\DATA\'
lnFiles   = adir(laFiles, lcDataDir + '*.*')
for lnI = 1 to lnFiles
	if right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
		copy file (lcDataDir + laFiles[lnI, 1]) to ('DATA\' + laFiles[lnI, 1])
	endif right(laFiles[lnI, 1], 3) $ 'DBF,CDX,DBC,DCT,DCX'
next lnI

* Create a view on the customer table.

open database DATA\TESTDATA
create sql view LV_CUSTOMER as ;
	select * from CUSTOMER
dbsetprop('LV_CUSTOMER', 'View', 'SendUpdates', .T.)
dbsetprop('LV_CUSTOMER.CUST_ID', 'Field', 'Updatable', .T.)
close all

cd MULTIPLE
do MSETUP
cd ..\REINDEX
do RSETUP
cd ..
