* Open the head office database.

close all
open database TESTDATA

* Open the view and apply the head office changes.

use LV_CUSTOMER online exclusive
llSuccess = tableupdate(2)
*** Handle any conflicts here
use

* Do the following for each office.

for lnI = 1 to 2

* Copy the offline view files to the current directory.

	lcOffice = 'OFFICE' + ltrim(str(lnI)) + '\'
	lnFiles  = adir(laDir, lcOffice + '*.*')
	for lnFile = 1 to lnFiles
		if right(laDir[lnFile, 1], 3) $ 'DBF,FPT,TBF,TDX,TPT'
			copy file (lcOffice + laDir[lnFile, 1]) to (laDir[lnFile, 1])
		endif right(laDir[lnFile, 1], 3) $ 'DBF,FPT,TBF,TDX,TPT'
	next lnI

* Open the office's view and apply the changes.

	use LV_CUSTOMER online exclusive
	llSuccess = tableupdate(2)
*** Handle any conflicts here

* Close the view and delete the files in the office's subdirectory.

	use
	erase (lcOffice + '*.*')
next lnI

* Browse the customer table so we can see the changes.

select CUSTOMER
go bottom
browse nowait
